package djmil.cordacheckers.cordaclient.dao.flow.arguments;

import djmil.cordacheckers.cordaclient.dao.flow.RequestBody;

public interface Rsp <T> {
    public T successStatus();
    public String failureStatus();

    public default T getResponce(RequestBody requestBody) {
        if (failureStatus() != null) {
            final String msg = requestBody.flowClassName() +" requestId " +requestBody.clientRequestId() +" has failed: " +failureStatus();
            System.err.println(msg +". Reson " +failureStatus());
            throw new RuntimeException(msg);
        }

        return successStatus();
    }

}
